Support Articles

The software says “Unable to find active device” with my new loggers, but my old loggers still work.

Posted on

Many of MadgeTech’s newer loggers require newer versions of the MadgeTech software. Please update to the latest version of the software, as this should fix the issue. The latest versions of the software and drivers can be found on our software download page: http://www.madgetech.com/software-download.

About tking: